classification
Title: Fail compile Python 3.6.0rc1 on OpenBSD 6.0
Type: compile error Stage: resolved
Components: Build, Installation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ned.deily, python-dev, rpointel, shadchin, vstinner
Priority: Keywords:

Created on 2016-12-10 16:49 by shadchin, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
patch-Python_random_c shadchin, 2016-12-10 16:49 Simple fix
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg282860 - (view) Author: Alexandr Shadchin (shadchin) * Date: 2016-12-10 16:49
In OpenBSD not exist sys/random.h.
msg283546 - (view) Author: Remi Pointel (rpointel) * Date: 2016-12-18 08:47
Hello,

I have exactly the same problem with Python 2.7.13 on OpenBSD.

Works fine with the same patch.

Remi.
msg283673 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-20 07:57
New changeset 2f004cc84153 by Benjamin Peterson in branch '3.5':
add a specific configure check for sys/random.h (closes #28932)
https://hg.python.org/cpython/rev/2f004cc84153

New changeset bfd4140d9c5d by Benjamin Peterson in branch '3.6':
merge 3.5 (#28932)
https://hg.python.org/cpython/rev/bfd4140d9c5d

New changeset 31df7d9863f3 by Benjamin Peterson in branch 'default':
merge 3.6 (#28932)
https://hg.python.org/cpython/rev/31df7d9863f3

New changeset 32cc37a89b58 by Benjamin Peterson in branch '2.7':
add a specific configure check for sys/random.h (closes #28932)
https://hg.python.org/cpython/rev/32cc37a89b58
msg283677 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-12-20 10:29
Thanks Benjamin!
History
Date User Action Args
2017-03-31 16:36:14dstufftsetpull_requests: + pull_request900
2016-12-20 22:09:26ned.deilysetpriority: release blocker ->
2016-12-20 10:29:45vstinnersetmessages: + msg283677
2016-12-20 07:57:37python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg283673

resolution: fixed
stage: patch review -> resolved
2016-12-18 09:17:53serhiy.storchakasetpriority: normal -> release blocker
nosy: + benjamin.peterson, ned.deily
2016-12-18 08:47:34rpointelsetnosy: + rpointel

messages: + msg283546
versions: + Python 2.7
2016-12-12 21:38:19berker.peksagsetnosy: + vstinner
stage: patch review

versions: + Python 3.7
2016-12-10 16:49:07shadchincreate